### Class

# Devhelp BookListBuilder

#### Description

    class Devhelp.BookListBuilder : GObject.Object
    {
      DhBookListBuilderPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### dh_book_list_builder_new

No description available.

since: 3.30

#### Instance methods

###### dh_book_list_builder_add_default_sub_book_lists

Creates the default `DhBookListDirectory`‘s and adds them to `builder` with dh_book_list_builder_add_sub_book_list().

since: 3.30

###### dh_book_list_builder_add_sub_book_list

Adds `sub_book_list`.

since: 3.30

###### dh_book_list_builder_create_object

Creates the `DhBookList`. It actually creates a subclass of `DhBookList`, but the subclass is not exposed to the public API.

since: 3.30

###### dh_book_list_builder_read_books_disabled_setting

Sets the `DhSettings` object from which to read the “books-disabled” `GSettings` key. If `settings` is `NULL` or if this function isn’t called, then the `DhBookList` object that will be created with `dh_book_list_builder_create_object()` will not read a “books-disabled” setting.

since: 3.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct DevhelpBookListBuilderClass {
      GObjectClass parent_class;
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`padding: gpointer`

  No description available.